%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%              Signalverarbeitende Systeme               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Projekt:     Ampelphasenerkennung                      %
%                                                        %
% Autor:       Andre Merkel                              %
%                                                        %
% Studiengang: Business and Systems Engineering          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%                                                        %
% Beschreibung: Mit diesem Skript wird die               %
%               Ampelphasenerkennung ge-                 %
%               startet.                                 %
%                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                        %
% Implementierung: MatLab 2014a                          %     
%                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                        %
% letzte nderung: 28.05.2015                            %
%                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all
close all
clc

%% Bild einlesen
Bild = Modul_Bild_einlesen;

%% Bild nach farb-Pixel absuchen

BinaerBild_gruen = 0;
BinaerBild_gelb  = 0;
BinaerBild_rot   = 0;

% Feststellung der grnen Ampelphase
BinaerBild_gruen = Modul_gruen_erkennen(Bild);


% Feststellung der roten bzw. rot-gelben Ampelphase
if (length(find(BinaerBild_gruen==1))) == 0
    
    % Erfassung der roten Ampelphase
    BinaerBild_rot = Modul_rot_erkennen(Bild);
 
    % Erfassung der gelben Ampelphase
    BinaerBild_gelb = Modul_gelb_erkennen(Bild);
 
    % Auswertung der rot-gelben Ampelphase (falls vorhanden)
    if (length(find(BinaerBild_rot(:,:)==1))) > 0  && (length(find(BinaerBild_gelb(:,:)==1))) > 0
   
        % Auswertung, ob es sich tatschlich um eine rot-gelbe Ampelphase handelt
        [BinaerBild_rot, BinaerBild_gelb] = Modul_rot_gelb_Auswertung(BinaerBild_rot, BinaerBild_gelb);
    
    end
 
end


%% Ausgabe

Modul_Ausgabe(BinaerBild_gruen, BinaerBild_gelb, BinaerBild_rot, Bild);
