%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%              Signalverarbeitende Systeme               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Projekt:     Ampelphasenerkennung                      %
%                                                        %
% Autor:       Andre Merkel                              %
%                                                        %
% Studiengang: Business and Systems Engineering          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%                                                        %
% Beschreibung: Mit diesem Skript wird die Ampelphase    %
%               dem Benutzer angezeigt.                  %
%                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                        %
% Implementierung: MatLab 2014a                          %     
%                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                        %
% letzte nderung: 28.05.2015                            %
%                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function Modul_Ausgabe(BinaerBild_gruen, BinaerBild_gelb, BinaerBild_rot, Bild)

if (length(find(BinaerBild_gruen==1))) == 0 && (length(find(BinaerBild_gelb==1))) ==0  && (length(find(BinaerBild_rot==1))) == 0
    
    msgbox('Es wurde keine Ampelphase erkannt.','Ampelphasenerkennung');
    return;
    
end

figure; imshow(Bild)
hold on

if (length(find(BinaerBild_gruen==1))) > 0
    
    [Xmin_gruen, Xmax_gruen, Ymin_gruen, Ymax_gruen] = Submodul_Kasten_berechnen(BinaerBild_gruen);
    Submodul_Plot_Rahmen(Xmin_gruen, Xmax_gruen, Ymin_gruen, Ymax_gruen);
    
    myicon = imread('Ampel_gruen.png');
    msgbox('Es wurde eine grne Ampelphase erkannt','Ampelphasenerkennung','custom',myicon)
    
elseif (length(find(BinaerBild_gelb==1))) > 0 && (length(find(BinaerBild_rot==1))) > 0
    
    [Xmin_rot, Xmax_rot, Ymin_rot, Ymax_rot] = Submodul_Kasten_berechnen(BinaerBild_rot);
    Submodul_Plot_Rahmen(Xmin_rot, Xmax_rot, Ymin_rot, Ymax_rot);
    
    [Xmin_gelb, Xmax_gelb, Ymin_gelb, Ymax_gelb] = Submodul_Kasten_berechnen(BinaerBild_gelb);
    Submodul_Plot_Rahmen(Xmin_gelb, Xmax_gelb, Ymin_gelb, Ymax_gelb);
    
    myicon = imread('Ampel_rot_gelb.png');
    msgbox('Es wurde eine rot-gelbe Ampelphase erkannt','Ampelphasenerkennung','custom',myicon)
    
elseif (length(find(BinaerBild_rot==1))) > 0
    
      
    
    [Xmin_rot, Xmax_rot, Ymin_rot, Ymax_rot] = Submodul_Kasten_berechnen(BinaerBild_rot);
    Submodul_Plot_Rahmen(Xmin_rot, Xmax_rot, Ymin_rot, Ymax_rot);
    
    myicon = imread('Ampel_rot.png');
    msgbox('Es wurde eine rote Ampelphase erkannt','Ampelphasenerkennung','custom',myicon)
    
elseif (length(find(BinaerBild_gelb==1))) > 0
    
    [Xmin_gelb, Xmax_gelb, Ymin_gelb, Ymax_gelb] = Submodul_Kasten_berechnen(BinaerBild_gelb);
    Submodul_Plot_Rahmen(Xmin_gelb, Xmax_gelb, Ymin_gelb, Ymax_gelb);
    
    myicon = imread('Ampel_gelb.png');
    msgbox('Es wurde eine gelbe Ampelphase erkannt','Ampelphasenerkennung','custom',myicon)
    
end


end

