%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%              Signalverarbeitende Systeme               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Projekt:     Ampelphasenerkennung                      %
%                                                        %
% Autor:       Andre Merkel                              %
%                                                        %
% Studiengang: Business and Systems Engineering          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%                                                        %
% Beschreibung: Mit diesem Skript wird die Ampelphase    %
%               berechnet, ob es sich um eine "rote",    %
%               "gelbe" oder eine "rot-gelbe" Phase      %
%               handelt.                                 %
%                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                        %
% Implementierung: MatLab 2014a                          %     
%                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                        %
% letzte nderung: 28.05.2015                            %
%                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [Binaer_rot, Binaer_gelb] = Modul_rot_gelb_Auswertung(BinaerBild_rot, BinaerBild_gelb)
%% Schwellwerte fr rot und gelb setzen

Schwell_rot = 23; % in Prozent

Schwell_gelb = 23; % in Prozent

%% gelbe Pixel, die zu weit entfernt liegen lschen

[Zeile, Spalte] = find(BinaerBild_rot==1);

rot_Vertikal = round((min(Zeile) + max(Zeile)) / 2);

BinaerBild_gelb(1:rot_Vertikal,:) = 0; % gelbe Pixel oberhalb der roten Pixel entfernen


%% rot- und gelb-Anteile in Prozent berechnen     

sumPixel = length(find(BinaerBild_rot(:,:)==1)) + length(find(BinaerBild_gelb(:,:)==1));
      
rotPix_Anteil = length(find(BinaerBild_rot(:,:)==1)) / sumPixel * 100;

gelbPix_Anteil = length(find(BinaerBild_gelb(:,:)==1)) / sumPixel * 100;

%% Schwellwert prfen

% Liegt der rot-Anteil zu niedrig, gilt dies als Rauschen und wird entfernt
if rotPix_Anteil < Schwell_rot
    
    Binaer_rot = zeros(length(BinaerBild_rot(:,1)), length(BinaerBild_rot(1,:)));

else
    
    Binaer_rot = BinaerBild_rot;
    
end


% Liegt der gelb-Anteil zu niedrig, gilt dies als Rauschen und wird entfernt
if gelbPix_Anteil < Schwell_gelb
    
    Binaer_gelb = zeros(length(BinaerBild_rot(:,1)), length(BinaerBild_rot(1,:)));
    
else
    
    Binaer_gelb = BinaerBild_gelb;
    
end

end

