%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%              Signalverarbeitende Systeme               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Projekt:     Ampelphasenerkennung                      %
%                                                        %
% Autor:       Andre Merkel                              %
%                                                        %
% Studiengang: Business and Systems Engineering          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%                                                        %
% Beschreibung: Mit diesem Skript wird der rote Rahmen   %
%               fr die erkannte Ampelphase berechnet.   %
%                                                        %
%                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                        %
% Implementierung: MatLab 2014a                          %     
%                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                        %
% letzte nderung: 31.05.2015                            %
%                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [Xmin, Xmax, Ymin, Ymax, X_quer, Y_quer, Zeile, Spalte] = Submodul_Kasten_berechnen(BinaerBild)
%% Zeilen und Spalten der gefunden Pixel erfassen
[Zeile, Spalte] = find(BinaerBild>0);

%% Rahmen um Pixel berechnen

% X-Werte berechnen
X_quer = sum(Spalte)/length(Spalte);

Xmin = min(Spalte) - 1/10 * X_quer;

Xmax = max(Spalte) + 1/10 * X_quer;


% Y-Werte berechnen
Y_quer = sum(Zeile)/length(Zeile);

Ymin = min(Zeile) - 1/10 * Y_quer;

Ymax = max(Zeile) + 1/10 * Y_quer;



end

